> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a group of tickets by ID

> Create a group of tickets. Up to 100 tickets can be created in a single request. The request body will be an array, with each entry being a list of ticket properties you want to set for each new ticket. You must set the ticket pipeline and stage when creating a new ticket. Please see the example for more details.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['tickets']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-tickets-v1.json POST /crm-objects/v1/objects/tickets/batch-read
openapi: 3.0.0
info:
  title: CRM Tickets API v1
  version: 1.0.0
  description: >-
    Use the tickets API to create and manage CRM records that represent customer
    service requests in your CRM.
  x-hubspot-introduction: >-
    Use the tickets API to create and manage CRM records that represent customer
    service requests in your CRM.
  x-hubspot-api-use-case: >-
    When a customer contacts your support team to request help with an issue,
    create a ticket to track that request and keep a record of it for future
    reference.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/tickets/batch-read:
    post:
      summary: Get a group of tickets by ID
      description: >-
        Create a group of tickets. Up to 100 tickets can be created in a single
        request. The request body will be an array, with each entry being a list
        of ticket properties you want to set for each new ticket. You must set
        the ticket pipeline and stage when creating a new ticket. Please see the
        example for more details.
      operationId: postcrmobjectsv1objectsticketsbatchread
      responses:
        '200':
          description: Successful response - Create a group of tickets
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Get a group of tickets by ID - Example 1
                  value:
                    - ids:
                        - 177769
                        - 176601
                    - objectType: TICKET
                      portalId: 62515
                      objectId: 176601
                      properties: {}
                      isDeleted: false
                    - objectType: TICKET
                      portalId: 62515
                      objectId: 177769
                      properties: {}
                      isDeleted: false
                    - ids:
                        - 177769
                        - 176601
                    - versions:
                        - name: subject
                          value: This is an example ticket
                          timestamp: 1522868974802
                          source: API
                          sourceVid: []
                      value: This is an example ticket
                      timestamp: 1522868974802
                      source: API
                      sourceId: null
                    - versions:
                        - name: created_by
                          value: '496346'
                          timestamp: 1522868974802
                          source: API
                          sourceVid: []
                      value: '496346'
                      timestamp: 1522868974802
                      source: API
                      sourceId: null
                    - versions:
                        - name: content
                          value: Here are the details of the ticket.
                          timestamp: 1522868974802
                          source: API
                          sourceVid: []
                      value: Here are the details of the ticket.
                      timestamp: 1522868974802
                      source: API
                      sourceId: null
                    - versions:
                        - name: subject
                          value: This is my first ticket!
                          timestamp: 1522862571921
                          source: API
                          sourceVid: []
                      value: This is my first ticket!
                      timestamp: 1522862571921
                      source: API
                      sourceId: null
                    - versions:
                        - name: created_by
                          value: '496346'
                          timestamp: 1522862571921
                          source: API
                          sourceVid: []
                      value: '496346'
                      timestamp: 1522862571921
                      source: API
                      sourceId: null
                    - versions:
                        - name: content
                          value: Here's the content of the ticket.
                          timestamp: 1522862571921
                          source: API
                          sourceVid: []
                      value: Here's the content of the ticket.
                      timestamp: 1522862571921
                      source: API
                      sourceId: null
      security:
        - oauth2:
            - tickets
        - oauth2_legacy: []
        - private_apps:
            - tickets
        - private_apps_legacy: []
components: {}

````